package com.qmth.themis.business.enums;

import java.util.Objects;

/**
 * @Description: 下载文件类型
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/15
 */
public enum DownloadFileEnum {
    /**
     * 导入文件
     */
    importFile(0),

    /**
     * 错误文件
     */
    error(1),

    /**
     * result
     */
    result(2);

    private int id;

    private DownloadFileEnum(int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    /**
     * 状态转换 toId
     *
     * @param value
     * @return
     */
    public static int convertToId(String value) {
        if (Objects.equals(value.trim(), importFile.name())) {
            return importFile.getId();
        } else if (Objects.equals(value.trim(), error.name())) {
            return error.getId();
        } else {
            return result.getId();
        }
    }

    /**
     * 状态转换 toName
     *
     * @param value
     * @return
     */
    public static String convertToName(int value) {
        if (value == importFile.getId()) {
            return importFile.name();
        } else if (value == error.getId()) {
            return error.name();
        } else {
            return result.name();
        }
    }
}
